%define _disable_ld_as_needed 1
%define _disable_ld_no_undefined 1

Name: rosegarden
Version: 1.7.2
Release: %mkrel 1
Summary: Midi, audio and notation editor
URL: http://www.rosegardenmusic.com/
Source0: http://ovh.dl.sourceforge.net/sourceforge/rosegarden/%name-%version.tar.bz2
License: GPLv2+
Group: Sound
Obsoletes: rosegarden4
BuildRequires: qt3-devel
BuildRequires: kdelibs-devel
BuildRequires: kdemultimedia3-devel
BuildRequires: jackit-devel
BuildRequires: ladspa-devel
BuildRequires: liblrdf-devel
BuildRequires: ImageMagick
BuildRequires: chrpath
BuildRequires: libxml2-utils
BuildRequires: dssi-devel
BuildRequires: cmake
BuildRequires: fftw3-devel
BuildRequires: python
Requires: flac
Requires: libsndfile-progs
Requires: xterm
Suggests: lilypond
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Rosegarden is an attractive, user-friendly MIDI and audio sequencer,
notation editor, and general-purpose music composition and editing
application for Unix and Linux

%prep
%setup -q -n %name-%{version}

%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_kde3_prefix}
%make

%install
rm -fr %buildroot
%makeinstall_std -C build
%find_lang %{name} --with-html

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %name -f %{name}.lang
%defattr(-,root,root)
%defattr(-, root,root)
%doc AUTHORS COPYING Doxyfile README TRANSLATORS
%{_kde3_bindir}/*
%{_kde3_datadir}/apps/%name
%{_kde3_datadir}/applications/kde/%name.desktop
%{_kde3_datadir}/apps/profiles/rosegarden.profile.xml
%{_kde3_iconsdir}/*/*/*/*
%{_kde3_datadir}/mimelnk/audio/*


%changelog
* Fri Sep 12 2008 Frederik Himpe <fhimpe@mandriva.org> 1.7.2-1mdv2009.0
+ Revision: 284275
- Update to new version 1.7.2
- Define _disable_ld_as_needed and _disable_ld_no_undefined to fix
  unresolved symbols related to librdf
- update to new version 1.7.1

  + Funda Wang <fundawang@mandriva.org>
    - kde3 stuffs should be moved to /opt
    - use kde3 BRs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 02 2008 Funda Wang <fundawang@mandriva.org> 1.7.0-1mdv2009.0
+ Revision: 200003
- New version 1.7.0

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.6.1-1mdv2008.1
+ Revision: 136482
- restore BuildRoot

  + Funda Wang <fundawang@mandriva.org>
    - New version 1.6.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.0-1mdv2008.1
+ Revision: 119809
- New release
- New release 1.6

* Mon Aug 13 2007 Funda Wang <fundawang@mandriva.org> 1.5.1-3mdv2008.0
+ Revision: 62815
- Suggest lilypond rather hard requires

* Thu Jun 21 2007 Adam Williamson <awilliamson@mandriva.com> 1.5.1-2mdv2008.0
+ Revision: 42387
- add calls to update_icon_cache and clean_icon_cache in %%post and %%postun (fixes 31510)

* Wed May 02 2007 Funda Wang <fundawang@mandriva.org> 1.5.1-1mdv2008.0
+ Revision: 20587
- spec modifications from Jose Jorge <lists.jjorge@free.fr>
- new upstream release 1.5.1


* Sun Jan 21 2007 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2007-01-21 16:04:42 (111393)
- fix specfile name
- add obsoletes for rosegarden4
- add BuildRequires: python
- Import rosegarden

* Tue Aug 22 2006 Lenny Cartier <lenny@mandriva.com> 1.2.4-1mdv2007.0
- from Pedro Lopez-Cabanillas <plcl@users.sf.net> : 
	- New release
	- Include DSSI support
	- Use the internal scons-mini to avoid broken SCons versions

* Sun Feb 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2.3-1mdk
- 1.2.3
- drop patches 1,2,3,4 - don't apply + not needed
- scons...
- no shared libraries built, drop lib packages

* Thu Aug 25 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-5mdk
- harmless 64-bit fixes

* Sun Aug 21 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0-4mdk
- patch3: fix build (for gcc 4.0?)

* Tue Jun 14 2005 Pascal Terjan <pterjan@mandriva.org> 1.0-3mdk
- fix build with gcc4 (patch2)

* Mon Mar 21 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-2mdk
- fix build on lib64 platforms

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.91-1mdk
- 0.9.91

* Wed Oct 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.9-2mdk
- -Wmissing-prototypes is only valid for the C front-end

* Wed Aug 18 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.9-1mdk
- 0.9.9
- update patch0

* Sat Jul 17 2004 Michael Scherer <misc@mandrake.org> 0.9.8-2mdk 
- rebuild for new gcc ( patch 0 )

* Thu May 27 2004 Austin Acton <austin@mandrake.org> 0.9.8-1mdk
- 0.9.8

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.7-2mdk
- Fix menu

* Fri Apr 02 2004 Austin Acton <austin@mandrake.org> 0.9.7-1mdk
- 0.9.7

* Tue Feb 17 2004 Austin Acton <austin@mandrake.org> 0.9.6-4mdk
- rebuild for liblrdf2

